tasty-1.5.3: Modern and extensible testing framework

Safe Haskell | Safe-Inferred
Language | Haskell2010

Test.Tasty.Patterns.Eval

Description

Since: 1.0

Synopsis

- type Path = Seq String
- eval :: Expr -> M Value
- withFields :: Seq String -> M a -> Either String a
- asB :: Value -> M Bool

# Documentation

type Path = Seq String Source #

Since: 1.2

eval :: Expr -> M Value Source #

Evaluate an awk expression.

Since: 1.0

withFields :: Seq String -> M a -> Either String a Source #

Run the `M` monad with a given list of fields

The field list should not include `$0`; it's calculated automatically.

Since: 1.0

asB :: Value -> M Bool Source #

Since: 1.0